## petsc4py 3.16.6

=== debian/changelog ===
petsc4py (3.16.6-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Apr 2022 14:14:57 +0200

petsc4py (3.16.5-1) unstable; urgency=medium

  * New upstream release.
  * use https://pypi.python.org/packages/source/p/petsc4py/
    as package Homepage since separate gitlab source repo is defunct
    (actual petsc4py source now sits with PETSc source at
    https://gitlab.com/petsc/petsc)
    - debian/source/lintian-overrides authorizes use of pypi-homepage
      (providing petsc4py source tarball separate from petsc)

 -- Drew Parsons <dparsons@debian.org>  Sun, 27 Mar 2022 19:08:26 +0200

petsc4py (3.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Mar 2022 02:28:31 +0100

petsc4py (3.16.0-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI update to 3.16

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Nov 2021 13:10:09 +0100

=== debian/control ===
Source: petsc4py
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), dh-python,
 python3-all-dev (>= 3.3),
 python3-distutils,
 cython3 (>= 0.24~),
 python3-numpy (>= 1:1.4.1-4~),
 libpetsc-real3.16-dev, libpetsc-complex3.16-dev,
 libpetsc64-real3.16-dev, libpetsc64-complex3.16-dev,
 chrpath,
 mpi-default-dev, libhdf5-mpi-dev,
 sphinx | python3-sphinx | dh-sequence-sphinxdoc
Homepage: https://pypi.python.org/packages/source/p/petsc4py/
Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
Vcs-Browser: https://salsa.debian.org/science-team/petsc4py

Package: python3-petsc4py
Architecture: all
Depends: python3:any, ${python3:Depends}, ${misc:Depends},
 python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.16 | python3-petsc4py-complex3.16 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.16 | python3-petsc4py-64-complex3.16,
 python-petsc4py-doc
Description: Python 3 bindings for PETSc libraries
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a base package that depends on the python3 petsc4py package
 with either real or complex number support. It provides the path to
 petsc4py for the system's default PETSc version set in
 /usr/lib/petsc. Export environment variable PETSC_DIR to use other
 versions.

Package: python3-petsc4py-real
Architecture: all
Depends: python3-petsc4py-real3.16, ${misc:Depends}
Description: Python 3 bindings for PETSc libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with real number support.

Package: python3-petsc4py-complex
Architecture: all
Depends: python3-petsc4py-complex3.16, ${misc:Depends}
Description: Python 3 bindings for PETSc libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with complex number support.

Package: python3-petsc4py-real3.16
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-real (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for PETSc 3.16 libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.16
 with real number support.

Package: python3-petsc4py-complex3.16
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-complex (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for PETSc 3.16 libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.16
 with complex number support.

Package: python3-petsc4py-64-real
Architecture: all
Depends: python3-petsc4py-64-real3.16, ${misc:Depends}
Description: Python 3 bindings for 64-bit PETSc libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with real number support and 64-bit indexing.

Package: python3-petsc4py-64-complex
Architecture: all
Depends: python3-petsc4py-64-complex3.16, ${misc:Depends}
Description: Python 3 bindings for 64-bit PETSc libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with complex number support and 64-bit indexing.

Package: python3-petsc4py-64-real3.16
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-real (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit PETSc 3.16 libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.16
 with real number support and 64-bit indexing.

Package: python3-petsc4py-64-complex3.16
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-complex (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit PETSc 3.16 libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.16
 with complex number support and 64-bit indexing.

Package: python-petsc4py-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends},
 ${sphinxdoc:Depends}, sphinx-common, libjs-sphinxdoc
Recommends: python3-petsc4py
Conflicts: python-petsc
Breaks: python-petsc4py (<< 3.7.0-3), python-petsc4py-docs
Replaces: python-petsc4py-docs
XB-Python-Version: ${python:Versions}
Description: Python bindings for PETSc libraries: documentation and examples
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 petsc4py provides Python bindings to almost all functions of PETSc.
 This package provides documentation and examples for petsc4py.

## petsc4py 3.18.2

=== debian/changelog ===
petsc4py (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * drop use of dh_sphinxdocs (dh --with sphinxdoc).
    PETSc docs are incompatible with sphinx 5. Closes: #1013384.

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Dec 2022 17:58:30 +0100

petsc4py (3.18.0-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.18)

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Oct 2022 23:48:26 +0100

petsc4py (3.17.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1
  * add docs/usrman/searchindex.js to source lintian overrides

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Sep 2022 12:02:44 +0200

petsc4py (3.17.0-1exp1) experimental; urgency=medium

  * New upstream release (API 3.17)

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Apr 2022 10:59:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all-dev (>= 3.3),
  python3-distutils,
  cython3 (>= 0.24~),
  python3-numpy (>= 1:1.4.1-4~),
- libpetsc-real3.16-dev, libpetsc-complex3.16-dev,
- libpetsc64-real3.16-dev, libpetsc64-complex3.16-dev,
+ libpetsc-real3.18-dev, libpetsc-complex3.18-dev,
+ libpetsc64-real3.18-dev, libpetsc64-complex3.18-dev,
  chrpath,
  mpi-default-dev, libhdf5-mpi-dev,
  sphinx | python3-sphinx | dh-sequence-sphinxdoc
@@ -21,7 +21,7 @@
 Package: python3-petsc4py
 Architecture: all
 Depends: python3:any, ${python3:Depends}, ${misc:Depends},
- python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.16 | python3-petsc4py-complex3.16 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.16 | python3-petsc4py-64-complex3.16,
+ python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.18 | python3-petsc4py-complex3.18 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.18 | python3-petsc4py-64-complex3.18,
  python-petsc4py-doc
 Description: Python 3 bindings for PETSc libraries
  PETSc is a suite of data structures and routines for the scalable (parallel)
@@ -36,7 +36,7 @@
 
 Package: python3-petsc4py-real
 Architecture: all
-Depends: python3-petsc4py-real3.16, ${misc:Depends}
+Depends: python3-petsc4py-real3.18, ${misc:Depends}
 Description: Python 3 bindings for PETSc libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
@@ -47,7 +47,7 @@
 
 Package: python3-petsc4py-complex
 Architecture: all
-Depends: python3-petsc4py-complex3.16, ${misc:Depends}
+Depends: python3-petsc4py-complex3.18, ${misc:Depends}
 Description: Python 3 bindings for PETSc libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
@@ -56,39 +56,39 @@
  This is a dummy package depending on the petsc4py build for the latest version
  of PETSc with complex number support.
 
-Package: python3-petsc4py-real3.16
+Package: python3-petsc4py-real3.18
 Architecture: any
 Depends: swig,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-real (<< 3.12.0-7~)
 Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for PETSc 3.16 libraries (real numbers)
+Description: Python 3 bindings for PETSc 3.18 libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.16
+ This package provides Python 3 bindings to almost all functions of PETSc 3.18
  with real number support.
 
-Package: python3-petsc4py-complex3.16
+Package: python3-petsc4py-complex3.18
 Architecture: any
 Depends: swig,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-complex (<< 3.12.0-7~)
 Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for PETSc 3.16 libraries (complex numbers)
+Description: Python 3 bindings for PETSc 3.18 libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.16
+ This package provides Python 3 bindings to almost all functions of PETSc 3.18
  with complex number support.
 
 Package: python3-petsc4py-64-real
 Architecture: all
-Depends: python3-petsc4py-64-real3.16, ${misc:Depends}
+Depends: python3-petsc4py-64-real3.18, ${misc:Depends}
 Description: Python 3 bindings for 64-bit PETSc libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
@@ -99,7 +99,7 @@
 
 Package: python3-petsc4py-64-complex
 Architecture: all
-Depends: python3-petsc4py-64-complex3.16, ${misc:Depends}
+Depends: python3-petsc4py-64-complex3.18, ${misc:Depends}
 Description: Python 3 bindings for 64-bit PETSc libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
@@ -108,34 +108,34 @@
  This is a dummy package depending on the petsc4py build for the latest version
  of PETSc with complex number support and 64-bit indexing.
 
-Package: python3-petsc4py-64-real3.16
+Package: python3-petsc4py-64-real3.18
 Architecture: any
 Depends: swig,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-real (<< 3.12.0-7~)
 Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit PETSc 3.16 libraries (real numbers)
+Description: Python 3 bindings for 64-bit PETSc 3.18 libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.16
+ This package provides Python 3 bindings to almost all functions of PETSc 3.18
  with real number support and 64-bit indexing.
 
-Package: python3-petsc4py-64-complex3.16
+Package: python3-petsc4py-64-complex3.18
 Architecture: any
 Depends: swig,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-complex (<< 3.12.0-7~)
 Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit PETSc 3.16 libraries (complex numbers)
+Description: Python 3 bindings for 64-bit PETSc 3.18 libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.16
+ This package provides Python 3 bindings to almost all functions of PETSc 3.18
  with complex number support and 64-bit indexing.
 
 Package: python-petsc4py-doc

## petsc4py 3.18.4

=== debian/changelog ===
petsc4py (3.18.4-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2023 11:45:00 +0100

petsc4py (3.18.3-2) unstable; urgency=medium

  * debian/tests: don't ignore errors, use set -e
  * update debian patch demo_fixes.patch to skip poisson3d and
    wrap-f2py demos (they generate PETSC segfaults).
    See https://gitlab.com/petsc/petsc/-/issues/1308
    f2py is provided by numpy, hence: Closes: #1026346.
  * debian patch petsc_soname_extensions.patch teaches the wrap-swig
    demo to use PETSC_LIB_EXT, enabling use with petsc64.
    Applies also to wrap-cython, but the same trick doesn't fix
    wrap-f2py

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Jan 2023 20:34:30 +0100

petsc4py (3.18.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Jan 2023 14:18:41 +0100

## petsc4py 3.18.5

=== debian/changelog ===
petsc4py (3.18.5-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Mar 2023 11:15:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all-dev (>= 3.3),
  python3-distutils,

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

export PETSC4PY_VERSION=$(DEB_UPSTREAM_VERSION)

# use only major.minor as PETSc version (not major.minor.patch)
PETSC_VERSION=$(shell echo $(DEB_UPSTREAM_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')$(PETSC_EXT)
export PETSC_DIR_REAL=/usr/lib/petscdir/petsc$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-real
export PETSC_DIR_COMPLEX=/usr/lib/petscdir/petsc$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-complex
export PETSC64_DIR_REAL=/usr/lib/petscdir/petsc64-$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-real
export PETSC64_DIR_COMPLEX=/usr/lib/petscdir/petsc64-$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-complex

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .eggs

# no need to build anything for arch-indep packages (doc, dummy package)
override_dh_auto_configure-indep: ;
override_dh_auto_build-indep: ;
override_dh_auto_install-indep: ;

override_dh_auto_configure-arch:
	PYBUILD_NAME=petsc4py_real$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_configure -ppython3-petsc4py-real$(PETSC_VERSION)
	PYBUILD_NAME=petsc4py_complex$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_configure -ppython3-petsc4py-complex$(PETSC_VERSION)
	PYBUILD_NAME=petsc4py_64_real$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_configure -ppython3-petsc4py-64-real$(PETSC_VERSION)
	PYBUILD_NAME=petsc4py_64_complex$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_configure -ppython3-petsc4py-64-complex$(PETSC_VERSION)

override_dh_auto_build-arch:
	PYBUILD_NAME=petsc4py_real$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-petsc4py-real$(PETSC_VERSION) -- --build-args=--force
	PYBUILD_NAME=petsc4py_complex$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-petsc4py-complex$(PETSC_VERSION)
	PYBUILD_NAME=petsc4py_64_real$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_build -ppython3-petsc4py-64-real$(PETSC_VERSION) -- --build-args=--force
	PYBUILD_NAME=petsc4py_64_complex$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_build -ppython3-petsc4py-64-complex$(PETSC_VERSION)
	# petsc4py embeds the deep PETSC_DIR path as RPATH in its library.
	# Swap it out for a standard path, or else dh_shlibdeps gets confused
	chrpath -d .pybuild/*python*/build/petsc4py/lib/PETSc*.so

override_dh_auto_install-arch:
	PYBUILD_NAME=petsc4py_real$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython3-petsc4py-real$(PETSC_VERSION)
	PYBUILD_NAME=petsc4py_complex$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_install -ppython3-petsc4py-complex$(PETSC_VERSION)
	PYBUILD_NAME=petsc4py_64_real$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_install -ppython3-petsc4py-64-real$(PETSC_VERSION)
	PYBUILD_NAME=petsc4py_64_complex$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_install -ppython3-petsc4py-64-complex$(PETSC_VERSION)

override_dh_installdocs-indep:
	dh_installdocs -i
	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/jquery*.js
	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/jquery.js
	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/underscore*.js
	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/underscore.js
	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/searchtools.js
	ln -s /usr/share/sphinx/themes/basic/static/searchtools.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/searchtools.js
	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/doctools.js
	ln -s /usr/share/sphinx/themes/basic/static/doctools.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/doctools.js
	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/language_data.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/language_data.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/language_data.js

override_dh_python3-indep:
	dh_python3 -i
	dh_numpy3 -i

override_dh_python3-arch:
	dh_python3 -a
	dh_numpy3 -a
	mkdir -p debian/python3-petsc4py-real$(PETSC_VERSION)/$(PETSC_DIR_REAL)/lib debian/python3-petsc4py-complex$(PETSC_VERSION)/$(PETSC_DIR_COMPLEX)/lib
	mv debian/python3-petsc4py-real$(PETSC_VERSION)/usr/lib/python* debian/python3-petsc4py-real$(PETSC_VERSION)/$(PETSC_DIR_REAL)/lib
	mv debian/python3-petsc4py-complex$(PETSC_VERSION)/usr/lib/python* debian/python3-petsc4py-complex$(PETSC_VERSION)/$(PETSC_DIR_COMPLEX)/lib
	mkdir -p debian/python3-petsc4py-64-real$(PETSC_VERSION)/$(PETSC64_DIR_REAL)/lib debian/python3-petsc4py-64-complex$(PETSC_VERSION)/$(PETSC64_DIR_COMPLEX)/lib
	mv debian/python3-petsc4py-64-real$(PETSC_VERSION)/usr/lib/python* debian/python3-petsc4py-64-real$(PETSC_VERSION)/$(PETSC64_DIR_REAL)/lib
	mv debian/python3-petsc4py-64-complex$(PETSC_VERSION)/usr/lib/python* debian/python3-petsc4py-64-complex$(PETSC_VERSION)/$(PETSC64_DIR_COMPLEX)/lib

override_dh_compress:
	dh_compress -Xpdf

override_dh_installdeb:
	dh_installdeb
	grep __PETSC4PY_VERSION__ -ls debian/*/DEBIAN/* | xargs -r  sed -i -e 's/__PETSC4PY_VERSION__/$(PETSC4PY_VERSION)/'

=== debian/tests/control ===
Tests: run-tests run-demos
 run-tests-64 run-demos-64
Depends: @, @builddeps@,
    python3-numpy,
    gzip,
    pkg-config
Restrictions: allow-stderr

## petsc4py 3.19.6

=== docs/source/requirements.txt ===
sphinx==1.8.6
docutils==0.17.1
epydoc; python_version <= "2.7"
numpy

=== debian/changelog ===
petsc4py (3.19.6-7ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:13 +1100

petsc4py (3.19.6-7ubuntu2) noble; urgency=medium

  * Drop distutils dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Mar 2024 20:40:42 +0100

petsc4py (3.19.6-7ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2024 23:47:12 +0100

petsc4py (3.19.6-7) unstable; urgency=medium

  * reduce optimisations in the sh4 build to -O1
    since the sh4 build is running out of memory and failing

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2024 10:40:31 +0100

petsc4py (3.19.6-6ubuntu3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:21:21 +0100

petsc4py (3.19.6-6ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:40 +0100

petsc4py (3.19.6-6ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Feb 2024 09:06:45 +0100

petsc4py (3.19.6-6) unstable; urgency=medium

  * debian patch revert_cython_pin_PR6720.patch also reverts upstream
    PR#6746 and PR#6748.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 12:12:23 +0100

petsc4py (3.19.6-5) unstable; urgency=medium

  * debian patch revert_cython_pin_PR6720.patch reverts upstream
    PR#6720 which pinned cython to 0.29.36. For the debian build the
    cython version is managed by the cython3-legacy dependency.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 11:12:01 +0100

petsc4py (3.19.6-4) unstable; urgency=medium

  * python3-petsc4py Recommends: libpetsc-real-dev |
    libpetsc-complex-dev. To install libpetsc-real3.*-dev, which sets
    /usr/lib/petsc needed for default importing (see petsc4py.pth)

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 02:55:10 +0100

petsc4py (3.19.6-3ubuntu1) noble; urgency=medium

  * Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Feb 2024 20:53:04 +0100

petsc4py (3.19.6-3) unstable; urgency=medium

  * update debian patch demo_fixes.patch to set MPIEXEC_FLAGS
    separately from MPIEXEC to set number of processes (-n 4).
    Otherwise debci overrides the value with "mpiexec --oversubscribe"
    losing the -n option. See upstream Issue #1520.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 14:06:54 +0100

petsc4py (3.19.6-2) unstable; urgency=medium

  * debian patch test_demo_no_plot.patch sets demos to not plot
    results by default. Displaying plots interferes with autopkgtest
    (debci) package testing.
  * update debian patch demo_fixes.patch to exclude wrap-swig from
    demo tests. It uses CPU-specific optimisations not suitable for
    general CI testing.

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jan 2024 15:18:35 +0100

petsc4py (3.19.6-1) unstable; urgency=medium

  [ Francesco Ballarin ]
  * New upstream version 3.19.6
  * Have pybuild use only the default python3 version when building the
    documentation.

  [ Drew Parsons ]
  * Build-Depends: cython3-legacy instead of cython3 as a temporary
    workaround to facilitate the introduction of cython 3.0.
    Thanks Sebastiaan Couwenberg. Closes: #1056830.
  * after dh_clean, delete generated src/petsc4py/PETSc* files.
    Closes: #1047199.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Dec 2023 13:17:26 +0100

petsc4py (3.19.1-1exp1) experimental; urgency=medium

  * New upstream release (new ABI 3.19).
  * drop debian/README.source
    (quilt is now standard with debian/source 3.0)
  * generate fresh docs using sphinx.
    apiref and usrman no longer provided.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Jun 2023 01:12:41 +0200

=== debian/control ===
Source: petsc4py
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), dh-python,
 python3-all-dev (>= 3.3),
 cython3-legacy (>= 0.24~),
 python3-numpy (>= 1:1.4.1-4~),
 libpetsc-real3.19-dev, libpetsc-complex3.19-dev,
 libpetsc64-real3.19-dev, libpetsc64-complex3.19-dev,
 chrpath,
 mpi-default-dev, libhdf5-mpi-dev,
 sphinx | python3-sphinx | dh-sequence-sphinxdoc,
 texinfo <!nodoc>
Homepage: https://pypi.python.org/packages/source/p/petsc4py/
Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
Vcs-Browser: https://salsa.debian.org/science-team/petsc4py

Package: python3-petsc4py
Architecture: all
Depends: python3:any, ${python3:Depends}, ${misc:Depends},
 python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.19 | python3-petsc4py-complex3.19 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.19 | python3-petsc4py-64-complex3.19,
 python-petsc4py-doc
Recommends: libpetsc-real-dev | libpetsc-complex-dev
Description: Python 3 bindings for PETSc libraries
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a base package that depends on the python3 petsc4py package
 with either real or complex number support. It provides the path to
 petsc4py for the system's default PETSc version set in
 /usr/lib/petsc. Export environment variable PETSC_DIR to use other
 versions.

Package: python3-petsc4py-real
Architecture: all
Depends: python3-petsc4py-real3.19, ${misc:Depends}
Description: Python 3 bindings for PETSc libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with real number support.

Package: python3-petsc4py-complex
Architecture: all
Depends: python3-petsc4py-complex3.19, ${misc:Depends}
Description: Python 3 bindings for PETSc libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with complex number support.

Package: python3-petsc4py-real3.19
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-real (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for PETSc 3.19 libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.19
 with real number support.

Package: python3-petsc4py-complex3.19
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-complex (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for PETSc 3.19 libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.19
 with complex number support.

Package: python3-petsc4py-64-real
Architecture: all
Depends: python3-petsc4py-64-real3.19, ${misc:Depends}
Description: Python 3 bindings for 64-bit PETSc libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with real number support and 64-bit indexing.

Package: python3-petsc4py-64-complex
Architecture: all
Depends: python3-petsc4py-64-complex3.19, ${misc:Depends}
Description: Python 3 bindings for 64-bit PETSc libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with complex number support and 64-bit indexing.

Package: python3-petsc4py-64-real3.19
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-real (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit PETSc 3.19 libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.19
 with real number support and 64-bit indexing.

Package: python3-petsc4py-64-complex3.19
Architecture: any
Depends: swig,
 ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-complex (<< 3.12.0-7~)
Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for 64-bit PETSc 3.19 libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.19
 with complex number support and 64-bit indexing.

Package: python-petsc4py-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends},
 ${sphinxdoc:Depends}, sphinx-common, libjs-sphinxdoc
Recommends: python3-petsc4py
Conflicts: python-petsc
Breaks: python-petsc4py (<< 3.7.0-3), python-petsc4py-docs
Replaces: python-petsc4py-docs
XB-Python-Version: ${python:Versions}
Description: Python bindings for PETSc libraries: documentation and examples
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 petsc4py provides Python bindings to almost all functions of PETSc.
 This package provides documentation and examples for petsc4py.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
 DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
@@ -22,6 +21,9 @@
 export PETSC64_DIR_REAL=/usr/lib/petscdir/petsc64-$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-real
 export PETSC64_DIR_COMPLEX=/usr/lib/petscdir/petsc64-$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-complex
 
+PY3VER_DEFAULT := $(shell py3versions -dv)
+DOC_PYTHONPATH=$(shell PYBUILD_NAME=petsc4py_real$(PETSC_VERSION) pybuild --print {build_dir} --pyver $(PY3VER_DEFAULT))
+
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -31,14 +33,20 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+# The sh4 build is running out of memory
+# so build with reduced optimisations
+ifeq ($(DEB_HOST_ARCH),sh4)
+export DEB_CFLAGS_MAINT_APPEND  = -O1
+export DEB_LDFLAGS_MAINT_APPEND = -O1 -Wl,-O1
+endif
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	rm -rf .eggs
+	rm -f src/petsc4py/PETSc.c src/petsc4py/PETSc.h src/petsc4py/PETSc_api.h
 
 # no need to build anything for arch-indep packages (doc, dummy package)
 override_dh_auto_configure-indep: ;
@@ -66,18 +74,11 @@
 	PYBUILD_NAME=petsc4py_64_real$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_install -ppython3-petsc4py-64-real$(PETSC_VERSION)
 	PYBUILD_NAME=petsc4py_64_complex$(PETSC_VERSION) PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_install -ppython3-petsc4py-64-complex$(PETSC_VERSION)
 
-override_dh_installdocs-indep:
-	dh_installdocs -i
-	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/jquery*.js
-	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/jquery.js
-	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/underscore*.js
-	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/underscore.js
-	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/searchtools.js
-	ln -s /usr/share/sphinx/themes/basic/static/searchtools.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/searchtools.js
-	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/doctools.js
-	ln -s /usr/share/sphinx/themes/basic/static/doctools.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/doctools.js
-	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/language_data.js
-	ln -s /usr/share/javascript/sphinxdoc/1.0/language_data.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/language_data.js
+execute_after_dh_auto_build-indep:
+	PYTHONPATH=$(DOC_PYTHONPATH) http_proxy='127.0.0.1:9' sphinx-build -N -bhtml       docs/source build/html # HTML generator
+	PYTHONPATH=$(DOC_PYTHONPATH) http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/source build/man # Manpage generator
+	PYTHONPATH=$(DOC_PYTHONPATH) http_proxy='127.0.0.1:9' sphinx-build -N -btexinfo    docs/source build/texinfo # texinfo generator
+	cd build/texinfo && make info
 
 override_dh_python3-indep:
 	dh_python3 -i
@@ -96,6 +97,5 @@
 override_dh_compress:
 	dh_compress -Xpdf
 
-override_dh_installdeb:
-	dh_installdeb
+execute_after_dh_installdeb:
 	grep __PETSC4PY_VERSION__ -ls debian/*/DEBIAN/* | xargs -r  sed -i -e 's/__PETSC4PY_VERSION__/$(PETSC4PY_VERSION)/'
